Bug 1825375 - Sysctl parameters set by tuned can not be overwritten by parameters set via /etc/sysctl{.conf,.d}
Summary: Sysctl parameters set by tuned can not be overwritten by parameters set via /...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node Tuning Operator
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: jmencak
QA Contact: Simon
URL:
Whiteboard:
Depends On: 1825322
Blocks: 1826167
TreeView+ depends on / blocked
 
Reported: 2020-04-17 19:52 UTC by jmencak
Modified: 2020-05-04 11:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Tuned pods did not mount /etc/sysctl.{conf,d/} from the host. Consequence: Settings provided by the host can be overriden by tuned profiles even though this is no longer the standard behaviour of tuned as shipped in RHEL 7.3. Fix: Mount /etc/sysctl.{conf,d/} from the host in tuned pods. Result: Tuned profiles no longer override the host sysctl settings in /etc/sysctl.{conf,d/}.
Clone Of: 1825322
: 1826167 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:49:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-node-tuning-operator pull 127 None closed Bug 1825375: Mount host's /etc/sysctl.{conf,d/} to enable sysctl override from the host. 2020-07-16 11:44:54 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:49:45 UTC

Comment 7 errata-xmlrpc 2020-05-04 11:49:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.